/* tslint:disable */
/* eslint-disable */
/**
 * OpenAPI definition
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import {exists, mapValues} from '../runtime';
/**
 *
 * @export
 * @interface Price
 */
export interface Price {
  /**
   *
   * @type {string}
   * @memberof Price
   */
  code: string;
  /**
   *
   * @type {{ [key: string]: string; }}
   * @memberof Price
   */
  data: {[key: string]: string};
}

export function PriceFromJSON(json: any): Price {
  return PriceFromJSONTyped(json, false);
}

export function PriceFromJSONTyped(
  json: any,
  ignoreDiscriminator: boolean
): Price {
  if (json === undefined || json === null) {
    return json;
  }
  return {
    code: json['code'],
    data: json['data'],
  };
}

export function PriceToJSON(value?: Price | null): any {
  if (value === undefined) {
    return undefined;
  }
  if (value === null) {
    return null;
  }
  return {
    code: value.code,
    data: value.data,
  };
}
